/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: download.h 2515 2006-01-29 01:16:17Z svntobi $
 *
 */

#ifndef ___DOWNLOAD_H
#define ___DOWNLOAD_H

#include <string>

class Download
{
    private:
        std::string url;
        long long size;
        long long downloaded;

    public:
        Download(std::string url);
        std::string GetUrl();
        long long GetSize();
        void SetSize(long long size);
        long long GetDownloaded();
        void SetDownloaded(long long downloaded);
};

#endif
