/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: pesplayer.h 3342 2006-04-24 21:30:53Z svntobi $
 *
 */

#ifndef ___PESPLAYER_H
#define ___PESPLAYER_H

#include "refptr.h"
#include <vdr/player.h>

class IThread;
class PesAudioPacket;

class IPesPlayer
{
    public:
        virtual ~IPesPlayer() {};
        virtual void PlayPes(PesAudioPacket& packet) = 0;
        virtual unsigned int GetTimeIndex() = 0;
        virtual int GetTotalTime() = 0;
};

#endif
